# Yocto build container

A docker container used to build yocto images. It's based on Debian jessie.

## Prerequisites

Docker needs to be installed and the docker daemon needs to run. Also the user
needs to be member of the _docker_ group.

```sh
adduser <username> docker
```

## Build the container

```sh
docker build -t "<name>:<tag>" .
```

## Run the container

Run from HOME directory:

```sh
docker run -it --rm -v=/var/lib/sss/pipes/:/var/lib/sss/pipes/:rw -v $(pwd):$(pwd) -w $(pwd) -u $(id -u $USER):$(id -g $USER) <name>:<tag> /bin/bash
```

